Renderkit Softimage 2010

Discussions about the use of Realflow's Renderkit
yashter
Posts: 1
Joined: Fri Jun 11, 2010 11:58 am

Renderkit Softimage 2010

Postby yashter » Fri Jun 11, 2010 5:30 pm

Hello!
I have seen a couple of threads from people with a similar problem, but no real solution. I cant get renderkit working with softimage 2010, i have installed both plugins correcly and i have the latest version of the license manager ( i think, v1.5.3.0013) but mental ray crashes when i try to render. the only thing i can use is old RFRK particular.

Any ideas ?

Thanks alot


nospitters
Posts: 10
Joined: Thu Jul 15, 2010 1:14 pm

Renderkit Softimage 2010

Postby nospitters » Thu Jul 15, 2010 1:36 pm

same thing here....

nospitters
Posts: 10
Joined: Thu Jul 15, 2010 1:14 pm

Renderkit Softimage 2010

Postby nospitters » Fri Jul 16, 2010 10:30 am

ok i got it work for softimage 2010. at least it works for us. here is the workaround.

1. reinstall the license manager
2. install the license via -a option to the manager. restart manager
3. check http://your server ip:2226 if the license apears
3. install the rfrk addon in factory addons (user addons and workgroup addons doesnt work!!!!)
4. import a bin sequence and testrender

btw:
i think this is optional, but if doesnt work try additional this

make the env var NLLICENSEMANAGERADDRESS that points to your server ip-adress

i hope this workaround works for you....

Villijs
Posts: 10
Joined: Tue Mar 30, 2010 7:05 am

Renderkit Softimage 2010

Postby Villijs » Sat Jul 31, 2010 6:54 am

3. install the rfrk addon in factory addons (user addons and workgroup addons doesnt work!!!!)

I installed it in factory...
However with Rk_flow_mesher_2 it crashed saying:

// ERROR : 2000 - Argument 0 (PresetObj) is invalid
// ERROR : 2027-SIApplyShaderToCnxPoint - Invalid preset argument, cannot load rfrk_geo_flowmesher_2.Preset - [line 340 in C:Program FilesAutodeskSoftimage 2011Addonsnl_renderkit2ApplicationPluginsRkXsiScripts.js]
// ERROR : 2028-CUST-rk_flow_mesher_2 - Invalid argument specified.
rk_flow_mesher_2(null, null);

Line from *.js file:

SIApplyShaderToCnxPoint(presetPath, gp.fullname + ".GeoShader.shader", null, false);

But for Rk flow_mesher:
// ERROR : Unable to upgrade shader: Softimage.rfrk_geo_flowmesher.1.0. The definition was not found in the Shader Definition Manager.
// ERROR : 21000-SIApplyShaderToCnxPoint - Unspecified failure - [line 340 in C:Program FilesAutodeskSoftimage 2011Addonsnl_renderkit2ApplicationPluginsRkXsiScripts.js]
// ERROR : 21000-CUST-rk_flow_mesher - Unspecified failure
rk_flow_mesher(null, null);

My license manager is running, i installed it in factory directory... still it isn`t working!

I`m using Softimage 2011 on Win 7 64bit...
Although in rfrk manual it`s said that RenderKit supports up to 2010, LuisMiguel posted screenshot with working RFRK 2.0 in Softimage 2011
http://www.realflowforum.com/view_topic.php?id=6478 So there has to be a way to use it with 2011... question is HOW!?

Villijs
Posts: 10
Joined: Tue Mar 30, 2010 7:05 am

Renderkit Softimage 2010

Postby Villijs » Wed Aug 04, 2010 7:03 am

I reinstalled everything, deleted all the leftover files, now it seems that everything is fine, except when trying to render, i get this:
// ERROR : LINK 0.2 error 191007: cannot load rfrk2, The specified module could not be found.
// ERROR : LINK 0.2 error 191012: Unable to load file: rfrk2
// ERROR : PHEN 0.4 error 051011: shader "rfrk_geo_flowmesher2" not found

User avatar
LuisMiguel
Posts: 40
Joined: Wed May 19, 2010 9:06 pm

Renderkit Softimage 2010

Postby LuisMiguel » Wed Aug 04, 2010 8:11 am

Hi,

Do you have the last License Manager installed?. It seems be a problem with not compatible versions.

Let me know.

luisM.
Next Limit TechDesk Team
http://www.realflow.com
--------------------------------
Personal Blog http://luismma.wordpress.com

Villijs
Posts: 10
Joined: Tue Mar 30, 2010 7:05 am

Renderkit Softimage 2010

Postby Villijs » Wed Aug 04, 2010 8:32 am

I have version v. 1.5.3.0013, and its running! :)

Villijs
Posts: 10
Joined: Tue Mar 30, 2010 7:05 am

Renderkit Softimage 2010

Postby Villijs » Tue Aug 10, 2010 10:10 am

Still nobody!? :(
I have latest licence manager version v1.5.3.0013, its running, i even tested render kit with 2010 3ds max... it worked, but in softimage it doesnt, it simply says the same thing over and over again, when i try to render my mesh:
// ERROR : LINK 0.2 error 191007: cannot load rfrk2, The specified module could not be found.
// ERROR : LINK 0.2 error 191012: Unable to load file: rfrk2
// ERROR : PHEN 0.4 error 051011: shader "rfrk_geo_flowmesher2" not found


Return to “RealFlow Renderkit”

Who is online

Users browsing this forum: No registered users and 1 guest